# Порядок имеет значение!
# http://to-name.ru/surname/familnye-okonchania.htm
# http://gramma.ru/SPR/?id=2.1
lastname:
  exceptions:
    # Неизменяемые первые части двойных русских фамилий.
    - gender: androgynous
      test:
        - бонч
        - абдул
        - белиц
        - гасан
        - дюссар
        - дюмон
        - книппер
        - корвин
        - ван
        - шолом
        - тер
        - призван
        - мелик
        - вар
        - фон
      mods: [., ., ., ., .]
      tags: [first_word]

    - gender: androgynous
      test: [дюма, тома, дега, люка, ферма, гамарра, петипа, шандра, скаля, каруана]
      mods: [., ., ., ., .]

    - gender: androgynous
      test: [гусь, ремень, камень, онук, богода, нечипас, долгопалец, маненок, рева, кива]
      mods: [., ., ., ., .]

    - gender: androgynous
      test: [вий, сой, цой, хой]
      mods: [-я, -ю, -я, -ем, -е]

  suffixes:
    - gender: female
      test: [б, в, г, д, ж, з, й, к, л, м, н, п, р, с, т, ф, х, ц, ч, ш, щ, ъ, ь]
      mods: [., ., ., ., .]

    - gender: androgynous
      test: [орота]
      mods: [., ., ., ., .]

    # Брыльска, *
    - gender: female
      test: [ска, цка]
      mods: [-ой, -ой, -ую, -ой, -ой]

    # Дубовицкая, Суперанская, Лесная, Барановская
    - gender: female
      test: [цкая, ская, ная, ая]
      mods: [--ой, --ой, --ую, --ой, --ой]

    # Зимняя
    - gender: female
      test: [яя]
      mods: [--ей, --ей, --юю, --ей, --ей]

    # *, Иллуй
    - gender: male
      test: [иной, уй]
      mods: [-я, -ю, -я, -ем, -е]

    # Ярица
    - gender: androgynous
      test: [ца]
      mods: [-ы, -е, -у, -ей, -е]

    # Эрих
    - gender: male
      test: [рих]
      mods: [а, у, а, ом, е]

    # Кантария
    - gender: androgynous
      test: [ия]
      mods: [-и, -и, -ю, -ей, -и]

    # Гулиа, *, *, Джабуа, *, *, *, *
    - gender: androgynous
      test: [иа, аа, оа, уа, ыа, еа, юа, эа]
      mods: [., ., ., ., .]

    # Осипенко, *, Мегрэ, *, *, Хереску, *
    - gender: androgynous
      test: [о, е, э, и, ы, у, ю]
      mods: [., ., ., ., .]

    # Широких, Больных
    - gender: male
      test: [их, ых]
      mods: [., ., ., ., .]

    # Кузнецова, Голубева, Скурихина
    - gender: female
      test: [ова, ева, на, ёва]
      mods: [-ой, -ой, -у, -ой, -ой]

    # Басалыга, Лазука, Пидкуймуха, Бобча, Гуща, Рогожа, Кваша
    - gender: androgynous
      test: [га, ка, ха, ча, ща, жа, ша]
      mods: [-и, -е, -у, -ой, -е]

    # Глоба, Хакамада, Хамза, Бульба
    - gender: androgynous
      test: [а]
      mods: [-ы, -е, -у, -ой, -е]

    # Белоконь
    - gender: male
      test: [ь]
      mods: [-я, -ю, -я, -ем, -е]

    # Фидря
    - gender: androgynous
      test: [я]
      mods: [-и, -е, -ю, -ей, -е]

    # Воробей
    - gender: male
      test: [обей]
      mods: [--ья, --ью, --ья, --ьем, --ье]

    # Кочубей
    - gender: male
      test: [ей]
      mods: [-я, -ю, -я, -ем, -е]

    # Хачикян, Богдан, *
    - gender: male
      test: [ян, ан, йн]
      mods: [а, у, а, ом, е]

    # *, Быховец
    # TODO: Проверить Брагинец
    - gender: male
      test: [ынец, овец]
      mods: [--ца, --цу, --ца, --цом, --це]

    # Волынец, Горобец
    - gender: male
      test: [нец, обец]
      mods: [--ца, --цу, --ца, --цем, --це]

    # Порывай
    - gender: male
      test: [ай]
      mods: [-я, -ю, -я, -ем, -е]

    # Дорогой, Руцкой
    - gender: male
      test: [гой, кой]
      mods: [-го, -му, -го, --им, -м]

    # Беpеговой
    - gender: male
      test: [ой]
      mods: [-го, -му, -го, --ым, -м]

    # *, *, -шток
    - gender: male
      test: [ах, ив, шток]
      mods: [а, у, а, ом, е]

    # *, *, *, *
    - gender: male
      test: [ший, щий, жий, ний]
      mods: [--его, --ему, --его, -м, --ем]

    # Безверхий
    - gender: male
      test: [ый, кий, хий]
      mods: [--ого, --ому, --ого, -м, --ом]

    # Хорунжий
    - gender: male
      test: [ий]
      mods: [-я, -ю, -я, -ем, -и]

    # Починок
    - gender: male
      test: [ок]
      mods: [--ка, --ку, --ка, --ком, --ке]

    # Коломиец
    - gender: male
      test: [иец, еец]
      mods: [--йца, --йцу, --йца, --йцом, --йце]

    # Кравец
    - gender: male
      test: [ец]
      mods: [--ца, --цу, --ца, --цом, --це]

    # Лившиц, Концевич, Гармаш, Хрущ
    - gender: male
      test: [ц, ч, ш, щ]
      mods: [а, у, а, ем, е]

    # Любен, Манн, Гордон, Прядун
    - gender: male
      test: [ен, нн, он, ун, б, г, д, ж, з, к, л, м, п, р, с, т, ф, х]
      mods: [а, у, а, ом, е]

    # Петров, Левин
    - gender: male
      test: [в, н]
      mods: [а, у, а, ым, е]


firstname:
  exceptions:
    - gender: male
      test: [лев]
      mods: [--ьва, --ьву, --ьва, --ьвом, --ьве]

    - gender: male
      test: [пётр]
      mods: [---етра, ---етру, ---етра, ---етром, ---етре]

    - gender: male
      test: [павел]
      mods: [--ла, --лу, --ла, --лом, --ле]

    - gender: male
      test: [яша]
      mods: [-и, -е, -у, -ей, -е]

    - gender: male
      test: [шота]
      mods: [., ., ., ., .]

    - gender: female
      test: [агидель, жизель, нинель, рашель, рахиль]
      mods: [-и, -и, ., ю, -и]

  suffixes:
    - gender: androgynous
      test: [е, ё, и, о, у, ы, э, ю]
      mods: [., ., ., ., .]

    - gender: male
      test: [уа, иа]
      mods: [., ., ., ., .]

    - gender: female
      test: [б, в, г, д, ж, з, й, к, л, м, н, п, р, с, т, ф, х, ц, ч, ш, щ, ъ, иа, ль]
      mods: [., ., ., ., .]

    - gender: female
      test: [ь]
      mods: [-и, -и, ., ю, -и]

    # Олесь
    - gender: male
      test: [ь]
      mods: [-я, -ю, -я, -ем, -е]

    - gender: androgynous
      test: [га, ка, ха, ча, ща, жа]
      mods: [-и, -е, -у, -ой, -е]

    # Даша, Саша
    - gender: female
      test: [ша]
      mods: [-и, -е, -у, -ей, -е]

    # Даша, Саша
    - gender: male
      test: [ша, ча, жа]
      mods: [-и, -е, -у, -ей, -е]

    - gender: androgynous
      test: [а]
      mods: [-ы, -е, -у, -ой, -е]

    # Зульфия
    - gender: female
      test: [ия]
      mods: [-и, -и, -ю, -ей, -и]

    # Майка
    - gender: female
      test: [ка, га, ха]
      mods: [-и, -е, -у, -ой, -е]

    # Марица
    - gender: female
      test: [ца]
      mods: [-ы, -е, -у, -ей, -е]

    # Светлана
    - gender: female
      test: [а]
      mods: [-ы, -е, -у, -ой, -е]

    # Юлия
    - gender: female
      test: [я]
      mods: [-и, -е, -ю, -ей, -е]

    - gender: male
      test: [ия]
      mods: [-и, -и, -ю, -ей, -и]

    - gender: male
      test: [я]
      mods: [-и, -е, -ю, -ей, -е]

    # Афанасий
    - gender: male
      test: [ий]
      mods: [-я, -ю, -я, -ем, -и]

    # Андрей, *
    - gender: male
      test: [ей, й]
      mods: [-я, -ю, -я, -ем, -е]

    - gender: male
      test: [ш, ж]
      mods: [а, у, а, ем, е]

    - gender: male
      test: [б, в, г, д, ж, з, к, л, м, н, п, р, с, т, ф, х, ц, ч]
      mods: [а, у, а, ом, е]

    - gender: androgynous
      test: [ния, рия, вия]
      mods: [-и, -и, -ю, -ем, -ем]

middlename:
  exceptions:
    - gender: androgynous
      test:
        - борух
      mods: [., ., ., ., .]
      tags: [first_word]

  suffixes:
    - gender: male
      test: [мич, ьич, кич]
      mods: [а, у, а, ом, е]

    - gender: male
      test: [ич]
      mods: [а, у, а, ем, е]

    - gender: female
      test: [на]
      mods: [-ы, -е, -у, -ой, -е]
